Look up to 200 creators by openId, oecId or username
POST
/api/public/v1/tik_tok_shop/creators/lookupConnectorAnswers empty results in the documented shape until the brand switches on this connection.
Operation id lookupTikTokShopCreators
Request
curl
curl -X POST "https://creator.growthdept.ai/api/public/v1/tik_tok_shop/creators/lookup" \
-H "Authorization: Bearer gdc_..." \
-H "Content-Type: application/json" \
-d '{"refs":[{"oecId":"string","openId":"string","username":"Example name"}]}'Parameters
| Name | In | Type | Notes |
|---|---|---|---|
| organization_id | query | integer |
Request body
| Field | Type | Notes |
|---|---|---|
| refs | array of object | required |
| refs[].[].oecId | string | |
| refs[].[].openId | string | |
| refs[].[].username | string |
Example
{
"refs": [
{
"oecId": "string",
"openId": "string",
"username": "Example name"
}
]
}Responses
200Success
| Field | Type | Notes |
|---|---|---|
| counts | object | required |
| counts.found | integer | |
| counts.requested | integer | |
| note | string | required |
| results | array of object | required |
| results[].[].ambiguous | boolean | required |
| results[].[].creator | object, nullable | required |
| results[].[].creator.avatarUrl | string, nullable | |
| results[].[].creator.facts | object, nullable | |
| results[].[].creator.facts.categories | array of string | |
| results[].[].creator.facts.contentCount | number, nullable | |
| results[].[].creator.facts.enrichedAt | string (date-time), nullable | |
| results[].[].creator.facts.followerCount | number, nullable | |
| results[].[].creator.facts.fulfillmentRate | number, nullable | |
| results[].[].creator.facts.gmv30dAmount | string, nullable | |
| results[].[].creator.facts.gmv30dCurrency | string, nullable | |
| results[].[].creator.facts.medianVideoViews | number, nullable | |
| results[].[].creator.facts.pps | string, nullable | |
| results[].[].creator.facts.unitsSold | number, nullable | |
| results[].[].creator.firstSeenAt | string (date-time), nullable | |
| results[].[].creator.lastSeenAt | string (date-time), nullable | |
| results[].[].creator.nickname | string, nullable | |
| results[].[].creator.oecId | string, nullable | |
| results[].[].creator.openId | string | |
| results[].[].creator.previousUsernames | array of string | |
| results[].[].creator.secUid | string, nullable | |
| results[].[].creator.username | string, nullable | |
| results[].[].found | boolean | required |
| results[].[].matchedBy | string, nullable | requiredOne of openIdoecIdusernamepreviousUsernamenull |
| results[].[].ref | object | required |
| results[].[].source | string, nullable | requiredOne of identity_spineshop_cachenull |
Example
{
"counts": {
"found": 3,
"requested": 3
},
"note": "string",
"results": [
{
"ambiguous": true,
"creator": {
"avatarUrl": "https://example.com/p/1",
"facts": {
"categories": [
null
],
"contentCount": 125.5,
"enrichedAt": "2026-11-01T15:04:05Z",
"followerCount": 125.5,
"fulfillmentRate": 0.15,
"gmv30dAmount": "string",
"gmv30dCurrency": "string",
"medianVideoViews": 125.5,
"pps": "string",
"unitsSold": 125.5
},
"firstSeenAt": "2026-11-01T15:04:05Z",
"lastSeenAt": "2026-11-01T15:04:05Z",
"nickname": "Example name",
"oecId": "string",
"openId": "string",
"previousUsernames": [
"Example name"
],
"secUid": "string",
"username": "Example name"
},
"found": true,
"matchedBy": "openId",
"ref": {},
"source": "identity_spine"
}
]
}Errors: 400401403404422429502with an error and usually a message. See errors.
Example values are made up from each field's type and name.